Bug 587957 - Linux VM hangs while hot adding memory in VMware [rhel-5.5.z]
Summary: Linux VM hangs while hot adding memory in VMware [rhel-5.5.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 571544
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-01 18:38 UTC by Benjamin Kahn
Modified: 2015-05-05 01:19 UTC (History)
15 users (show)

(edit)
Hot-adding memory to a system with 4 GB of RAM caused problems with 32-bit DMA devices, which led to the system becoming unresponsive. With this update, the user is warned that more than 4 GB of RAM is being added to the system; however, memory exceeding 4 GB is not registered by the system.
Clone Of:
(edit)
Last Closed: 2010-07-01 18:28:22 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 18:26:58 UTC

Description Benjamin Kahn 2010-05-01 18:38:10 UTC
This bug has been copied from bug #571544 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Jiri Pirko 2010-05-13 15:06:40 UTC
in 2.6.18-194.4.1.el5

Comment 7 Douglas Silas 2010-06-28 20:12:44 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Hot-adding memory to a system with 4 GB of RAM caused problems with 32-bit DMA devices, which led to the system becoming unresponsive. With this update, the user is warned that more than 4 GB of RAM is being added to the system; however, memory exceeding 4 GB is not registered by the system. (BZ#587957)

Comment 8 Douglas Silas 2010-06-28 20:14:08 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Hot-adding memory to a system with 4 GB of RAM caused problems with 32-bit DMA devices, which led to the system becoming unresponsive. With this update, the user is warned that more than 4 GB of RAM is being added to the system; however, memory exceeding 4 GB is not registered by the system. (BZ#587957)+Hot-adding memory to a system with 4 GB of RAM caused problems with 32-bit DMA devices, which led to the system becoming unresponsive. With this update, the user is warned that more than 4 GB of RAM is being added to the system; however, memory exceeding 4 GB is not registered by the system.

Comment 10 errata-xmlrpc 2010-07-01 18:28:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html


Note You need to log in before you can comment on or make changes to this bug.